Subject: Relocatable DLL example doesn't work for b18
From: [email-masked] (Zixiong WANG)

28 Nov 1997 08:37:29 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Hi,

	I'v tried the relocatable DLL creation example with b18
(http://www.cygnus.com/misc/gnu-win32/building-reloc-dlls.txt).
	I get a segmentation fault :

GNU gdb 4.16.1
Copyright 1997 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-cygwin32"...
(gdb) r
Starting program: //D/dll/main.exe 
10000000://D/dll/fooB.dll
warning: LDR: Automatic DLL Relocation in main.exe

warning: LDR: Dll cygwin.dll base 10000000 relocated due to collision with
D:\dll\fooB.dll

2520000:/GNUWIN32/B18/H-I386-CYGWIN32/BIN/cygwin.dll

[failed reading symbols from DLL]
"/WINNT/system32/kernel32.dll": error reading line numbers

[failed reading symbols from DLL]
"/WINNT/system32/advapi32.dll": error reading line numbers

77e70000:/WINNT/system32/USER32.dll
77ed0000:/WINNT/system32/GDI32.dll
77e10000:/WINNT/system32/RPCRT4.dll
776c0000:/WINNT/System32/wsock32.dll

[failed reading symbols from DLL]
"/WINNT/System32/WS2_32.dll": error reading line numbers

779e0000:/WINNT/system32/MSVCRT.dll

[failed reading symbols from DLL]
"/WINNT/System32/WS2HELP.dll": error reading line numbers

Program received signal SIGSEGV, Segmentation fault.
0x252bac6 in fhandler_console::is_console ()
(gdb) bt
#0  0x252bac6 in fhandler_console::is_console ()
#1  0x252c113 in dll_crt0 ()
#2  0x401215 in cygwin_crt0 ()
(gdb) 

Mr. John Cerney ([email-masked] auther of the example) says he hasn't yet 
the time to look at this problem and the example works with b17.

I'm on NT4.

Anyone has any idea ?

Thanks.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".